Retrieve StatementDefinition - m3ter Documentation
Retrieve StatementDefinition
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/statementdefinitions/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/statementdefinitions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/statementdefinitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
{
"id": "<string>",
"version": 123,
"name": "<string>",
"includePricePerUnit": true,
"dimensions": [
{
"name": "<string>",
"filter": [
"<string>"
],
"meterId": "<string>",
"attributes": [
"<string>"
]
}
],
"measures": [
{
"meterId": "<string>",
"name": "<string>",
"aggregations": []
}
],
"generateSlimStatements": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Responses
200
{
"message": "<string>"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Authorizations
- Authorization: string, required in header
- m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
- The
authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
- orgId: string, required. The unique identifier (UUID) of your Organization.
- id: string, required. The unique identifier (UUID) of the StatementDefinition to retrieve.
Response Fields
- id: string, required. The unique identifier (UUID) of the StatementDefinition.
- version: integer. The version number.
- name: string. Descriptive name for the StatementDefinition.
- includePricePerUnit: boolean. Indicates whether to include the price per unit in the Statement.
- dimensions: object[]. Array of objects representing Dimension data fields.
- measures: object[]. Array of objects representing Measure data fields.
- generateSlimStatements: boolean.
- dtCreated: string. The creation date and time.
- dtLastModified: string. The last modification date and time.
- createdBy: string. The unique identifier of the user who created this StatementDefinition.
- lastModifiedBy: string. The unique identifier of the user who last modified this StatementDefinition.